### Function

# Fwupd BiosSetting from_variant

since: 1.8.4

#### Declaration [src]

    FwupdBiosSetting*
    fwupd_bios_setting_from_variant (
      GVariant* value
    )

#### Description [src]

Creates a new bios setting using serialized data.

Available since: 1.8.4

#### Parameters

`value`

  Type: `GVariant`

  The serialized data.

  The data is owned by the caller of the function.

#### Return value

Type: `FwupdBiosSetting`

A new `FwupdBiosSetting`, or `NULL` if `value` was invalid.

The caller of the function takes ownership of the data, and is responsible for freeing it.